skip to main content
Welcome to DataDirect Hybrid Data Pipeline : Product requirements
  

Try Now

Product requirements

Hybrid Data Pipeline is comprised of four main components: the Hybrid Data Pipeline server, the On-Premises Connector, the JDBC driver, and the ODBC driver.
*The Hybrid Data Pipeline server must be installed on a 64-bit Linux machine with, at minimum, 4 cores and 8 GB of RAM.
*The On-Premises Connector must be installed on a separate Windows machine.
Depending on your application environment, you may need to install one or more additional components.
*For ODBC applications, install and configure the ODBC driver.
*For JDBC applications, install and configure the JDBC driver.
*For REST-based data access for mobile apps and desktop applications, no local software is needed.
Ensure that your environment meets component requirements before proceeding with installation. See the following tables for details on component requirements.
*Hybrid Data Pipeline server
*Browser for Hybrid Data Pipeline Web UI
*On-Premises Connector
*JDBC driver
*ODBC driver
Table 1. Hybrid Data Pipeline server
Platform
64-bit
Linux
*Red Hat Enterprise Linux x64, version 4.0 and higher
*CentOS Linux x64, version 4.0 and higher
*Ubuntu Linux x64, version 16 and higher
*SUSE Linux Enterprise Server, Linux x64, version 10.x, 11, 12, and 13
*Oracle Linux x64, version 4.0 and higher
Table 2. Browser for Hybrid Data Pipeline Web UI
Browser
Version
Chrome
Chrome 53.0 and higher
Firefox
Firefox 48 and higher
Internet Explorer
Internet Explorer 11.0 and higher
Safari
Safari 9.1 and higher
Table 3. On-Premises Connector
Platform
64-bit
Windows
*Windows 10
*Windows 8, 8.1
*Windows 7
*Windows Server 2012 Service Pack 2
*Windows Server 2008
Table 4. JDBC driver
JVM (32-bit and 64-bit JVMs supported)
Java 6 or higher JVM (Java 7 or higher for Salesforce and related data stores)
Table 5. ODBC driver
Platform
32-bit
64-bit
AIX
*AIX 5L, version 5.3 fixpack 5
*6.1
*7.1
*AIX 5L, version 5.3 fixpack 5
*6.1
*7.1
HP-UX PA-RISC
*11i (B.11.23 and B.11.31)
*11i (B.11.11)
*11
*11i (B.11.23 and B.11.31)
HP-UX IPF
*11i (B.11.23 and B.11.31)
*11i (B.11.23 and B.11.31)
Linux
*Red Hat Enterprise Linux 4.x, 5.x, 6.x
*SUSE Linux Enterprise Server 10.x, 11, 12
*Oracle Linux 6.x, 7.x
*CentOS Linux 6.8, 7
*Red Hat Enterprise Linux 4.x, 5.x, 6.x
*SUSE Linux Enterprise Server 10.x, 11, 12
*Oracle Linux 6.x, 7.x
*CentOS Linux 6.8, 7
Oracle Solaris on Oracle SPARC
*Oracle Solaris 8, 9, 10
*Oracle Solaris 8, 9, 10
Oracle Solaris x86: Intel
*Oracle Solaris 10,11
na
Oracle Solaris x64: Intel and AMD
*Oracle Solaris 10, 11
*Oracle Solaris 10
*Oracle Solaris 11 Express
Windows
*Windows 10
*Windows 8, 8.1
*Windows 7
*Windows Vista
*Windows XP Service Pack 2 and higher
*Windows Server 2008
*Windows 10
*Windows 8, 8.1
*Windows 7
*Windows Vista
*Windows XP Service Pack 2 and higher
*Windows Server 2012 Service Pack 2
*Windows Server 2008